hadoop-common-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Suresh Srinivas (Updated) (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (HADOOP-7509) Improve message when Authentication is required
Date Thu, 13 Oct 2011 03:27:12 GMT

     [ https://issues.apache.org/jira/browse/HADOOP-7509?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Suresh Srinivas updated HADOOP-7509:
------------------------------------

    Fix Version/s:     (was: 0.23.0)
                   0.24.0
     Hadoop Flags: Reviewed
    
> Improve message when Authentication is required
> -----------------------------------------------
>
>                 Key: HADOOP-7509
>                 URL: https://issues.apache.org/jira/browse/HADOOP-7509
>             Project: Hadoop Common
>          Issue Type: Improvement
>    Affects Versions: 0.20.204.0, 0.23.0
>            Reporter: Ravi Prakash
>            Assignee: Ravi Prakash
>            Priority: Trivial
>             Fix For: 0.20.206.0, 0.24.0
>
>         Attachments: HADOOP-7509.1.patch, HADOOP-7509.2.branch-0.23.patch, HADOOP-7509.2.patch
>
>
> The message when security is enabled and authentication is configured to be simple is
not explicit enough. It simply prints out "Authentication is required" and prints out a stack
trace. The message should be "Authorization (hadoop.security.authorization) is enabled but
authentication (hadoop.security.authentication) is configured as simple. Please configure
another method."

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators: https://issues.apache.org/jira/secure/ContactAdministrators!default.jspa
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message